Subject: [6lowapp] Fwd: New Version Notification for draft-sturek-6lowapp-smartenergy-00

From: Zach Shelby <[email-masked]>
Date: Mon, 19 Oct 2009 16:06:42 +0300

Hi,

We have posted a 6lowapp draft summarizing Smart Energy 2.0 with  
requirements identified for the new working group effort along with  
possible future work. This is just a first draft, and will surely  
still evolve during and after Hiroshima.

http://www.ietf.org/id/draft-sturek-6lowapp-smartenergy-00.txt

Zach (on behalf of Don)

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: October 19, 2009 16:03:50 GMT+03:00
> To: [email-masked]
> Cc:  
> [email-masked],[email-masked],[email-masked],[email-masked]
> Subject: New Version Notification for draft-sturek-6lowapp- 
> smartenergy-00
>
>
> A new version of I-D, draft-sturek-6lowapp-smartenergy-00.txt has  
> been successfuly submitted by Zach Shelby and posted to the IETF  
> repository.
>
> Filename:	 draft-sturek-6lowapp-smartenergy
> Revision:	 00
> Title:		 Smart Energy Requiements for 6LowApp
> Creation_date:	 2009-10-19
> WG ID:		 Independent Submission
> Number_of_pages: 12
>
> Abstract:
> The new Smart Energy (SE) Version 2 (SE 2) is aimed at providing end-
> to-end connectivity between energy providers, energy consumers, and
> their respective equipment.  This effort has been recognized as part
> of the Smart Grid roadmap by the US National Institute of Standards
> and Technology (NIST).  Whereas SE 1 was based on a proprietary
> ZigBee stack, SE 2 will is based on IPv6 with support for IEEE
> 802.15.4, HomePlug and use across the Internet.  The work in 6LowApp
> on application protocols and commissioning is an important component
> of SE 2.  This document introduces SE 2 along with requirements
> identified for 6LowApp and considerations for future work.
>
>
>
> The IETF Secretariat.
>
>

-- 
http://www.sensinode.com
http://zachshelby.org - My blog “On the Internet of Things”
Mobile: +358 40 7796297

Zach Shelby
Head of Research
Sensinode Ltd.
Kidekuja 2
88610 Vuokatti, FINLAND

This e-mail and all attached material are confidential and may contain  
legally privileged information. If you are not the intended recipient,  
please contact the sender and delete the e-mail from your system  
without producing, distributing or retaining copies thereof.

---

From: John Mani <[email-masked]>
Date: Mon, 19 Oct 2009 11:38:22 -0700

Re: requirement-1 in section 2.1, states that "end-2-end IPv6" is required
across both back-end systems and embedded networks in Smart Energy.

I'm curious if this requirement can be met for an AMI deployment over the
public Internet (not all ISPs support v6 yet ..)

-john

---

From: "Don Sturek" <[email-masked]>
Date: Mon, 19 Oct 2009 11:44:19 -0700

Hi John,

I don't think we should make such a requirement for the access side of the
meter.  I agree with you that using public ISPs will likely mean using IPv4
in many cases.

However, for the HAN we are expecting to use just IPv6 due to the critical
limitation on IPv4 addresses and the desire to do direct addressing.

Don

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of John Mani
Sent: Monday, October 19, 2009 11:38 AM
To: Zach Shelby; [email-masked]
Subject: Re: [6lowapp] Fwd: New Version Notification for
draft-sturek-6lowapp-smartenergy-00

-john

>> Date: October 19, 2009 16:03:50 GMT+03:00
[email-masked],[email-masked],[email-masked],skip.ashto
n
>> @ember.com

_______________________________________________
6lowapp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6lowapp

---

From: John Mani <[email-masked]>
Date: Mon, 19 Oct 2009 11:53:51 -0700

Thanks Don.

Would it be possible to address (and access) an ipv6 end-node over the
Internet? Or is there some proxying/address-translation needed at the 'ESP'?
I'm just not familiar with how this all can be achieved technically.

The requirement - as stated currently, might be confusing? When it states
"across both back-end systems and embedded networks", I take it to include
the 'access side of the meter' as well ...

-john

---

From: "[email-masked]" <[email-masked]>
Date: Mon, 19 Oct 2009 23:00:53 +0300

> I'm just not familiar with how this all can be achieved technically.

Yes, all IPv6 nodes (also 6LoWPAN ones) can be addressed and accessed. I 
interpret this requirement to mean that you should tunnel IPv6-in-IPv4 over

whatever IPv4-only parts of the Internet you come across. There are
probably 
half a dozen other alternatives as well but that is the most
straight-forward 
from my experience. 

> the 'access side of the meter' as well ...

You are right, should be clearer. 

Zach

---

From: John Mani <[email-masked]>
Date: Tue, 20 Oct 2009 16:10:28 -0700

Another requirement - not HAN specific, is support for a low-latency
mechanism to send a message to a large number of HAN devices from a backend
system. An example use case is a Load management system sending a
'load-shed' message to a large subset of its customers for immediate grid
reliability needs. This implies some sort of efficient broadcast/multicast
mechanism.

Not sure if this requirement really belongs here, just wanted to bring this
point up ..

-john

---

From: Hamid Mukhtar <[email-masked]>
Date: Fri, 23 Oct 2009 14:26:17 +0900

>   (12)  SE 2 requires support of efficient network management in the
>         HAN.  The SE 2 application protocol must support get and set
>         operations required for application and device management.  It
>         is not expected that limited nodes support SNMP, but instead
>         may use the same application protocol also for management.

SNMP is datagram oriented and the implementations can be pretty
lightweight. Although it may be possible to provide network management
capabilities through the new application protocol, SNMP may still hold
its significance due to its technical maturity established by
experiences in the implementation and operation. I don't think ruling
SNMP out would be an appropriate option.

On Mon, Oct 19, 2009 at 10:06 PM, Zach Shelby <[email-masked]> wrote:
> requirements identified for the new working group effort along with possible
> future work. This is just a first draft, and will surely still evolve during
> and after Hiroshima.
>
>> Subject: New Version Notification for draft-sturek-6lowapp-smartenergy-00
>>
>>
>> A new version of I-D, draft-sturek-6lowapp-smartenergy-00.txt has been
>> successfuly submitted by Zach Shelby and posted to the IETF repository.
>>
> please contact the sender and delete the e-mail from your system without
> producing, distributing or retaining copies thereof.
>
>
>